Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

* ext/readline/extconf.rb: Remove Readline 6 check because

  Ruby's license is now GPLv3 compatible. [ruby-core:28736]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@29264 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
  • Loading branch information...
commit 2fe39b886457633a89f0eda10aacb3419f2504fa 1 parent 1c96fb4
@nurse nurse authored
Showing with 5 additions and 5 deletions.
  1. +5 −0 ChangeLog
  2. +0 −5 ext/readline/extconf.rb
View
5 ChangeLog
@@ -1,3 +1,8 @@
+Thu Sep 16 00:36:25 2010 NARUSE, Yui <naruse@ruby-lang.org>
+
+ * ext/readline/extconf.rb: Remove Readline 6 check because
+ Ruby's license is now GPLv3 compatible. [ruby-core:28736]
+
Thu Sep 16 00:26:00 2010 NARUSE, Yui <naruse@ruby-lang.org>
* COPYING: change Ruby's License from a dual license with GPLv2
View
5 ext/readline/extconf.rb
@@ -24,11 +24,6 @@ def have_readline_func(func)
dir_config('termcap')
dir_config("readline")
enable_libedit = enable_config("libedit")
-$readline_extra_check = (proc {|src| src << <<EOS} unless enable_config("readline-v6"))
-#if RL_VERSION_MAJOR >= 6
-#error GPLv2 incompatible
-#endif
-EOS
have_library("user32", nil) if /cygwin/ === RUBY_PLATFORM
have_library("ncurses", "tgetnum") ||
Please sign in to comment.
Something went wrong with that request. Please try again.